using System.Collections;
using System.Collections.Generic;

namespace EnemyAI
{
    public class Blackboard
    {
        public WeaponEnemy Weapon;

        public bool Night 
        { 
            get; 
            set; 
        }

        public void SetWeaponActive(bool state)
        {
            Weapon.gameObject.SetActive(state);
        }

        public UnityEngine.AI.NavMeshAgent navMeshAgent;

        public UnityEngine.Vector3 PlayerPosition;

        public UnityEngine.Vector3 EnemyPosition;
    }
}
